using System;
using AsteroidGame.Entities;
using UnityEngine;

namespace AsteroidGame.Entities.Structures.Scripts
{
    public class StructureBase : EntityBase
    {
        [Header("StructureInformation")] [SerializeField]
        protected string name;


        [Header("BuildParameters")] [SerializeField]
        protected int cost;

        [SerializeField] protected float buildTimer;

        #region Publics

        public string Name { get; set; }
        public int Cost { get; set; }

        #endregion
        
    }
}